UUID_IS_NULL(3)

NAME
uuid_is_null - compare the value of the UUID to the NULL value

SYNOPSIS
#include <uuid/uuid.h>

int uuid_is_null(uuid_t uu);

DESCRIPTION
The uuid_is_null function compares the value of the supplied UUID variable uu to the NULL value. If the value is equal to the NULL UUID, 1 is returned, otherwise 0 is returned.

AUTHOR
Theodore Y. Ts'o

AVAILABILITY
libuuid is part of the util-linux-ng package since version 2.15.1 and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

SEE ALSO
uuid(3), uuid_clear(3), uuid_compare(3), uuid_copy(3), uuid_generate(3), uuid_time(3), uuid_parse(3), uuid_unparse(3)